DeveloperRegister an app
Menu

List shifts

GET /shifts

Requires the shifts:read scope. Planned and completed shifts: start, end, worked hours, and the employee as an opaque employee_ref that is different for every app. No names or addresses. Paginated by cursor.

Authentication

Requires a bearer access token with the shifts:read scope.

Query parameters

NameRequiredDescription
cursorNoThe next_cursor of the previous page.
limitNoMax results per page (default 100, max 500).

Errors

See Errors for the full list of status codes this endpoint can return.

Samples

curl
curl -X GET "https://app.sparro.dk/api/v2/shifts?limit=100" \
  -H "Authorization: Bearer $SPARRO_ACCESS_TOKEN"